Cancel order renewal

Schedules the cancellation of an order's renewal from a specified date. The order will remain active until the cancellation date.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

orderIdstringRequired

The order ID (can be internal ID or display ID)

Request

This endpoint expects an object.
orderVersionintegerRequired>=1

The current version of the order (for optimistic locking)

cancelFromDatedatetimeRequired

The date from which the renewal should be cancelled (ISO 8601 format)

Response

Order renewal cancelled successfully
orderIdstringformat: "uuid"
The ID of the order
amendmentIdstringformat: "uuid"
The ID of the amendment record
versioninteger
The new version of the order after the amendment
endDatedatetime
The new end date of the order
effectiveDatedatetime
The effective date of the cancellation

Errors